Name: binutils
Version: 2.17.50.0.6
Release: alt4
Serial: 1

Summary: GNU Binary Utility Development Utilities
License: GPL
Group: Development/Other
Url: http://sources.redhat.com/%name/
Packager: Dmitry V. Levin <ldv@altlinux.org>

Source: ftp://ftp.kernel.org/pub/linux/devel/%name/%name-%version.tar
Source1: gcc.sh

# RH
Patch1: binutils-2.17.50.0.6-rh-ltconfig-multilib.patch
Patch2: binutils-2.17.50.0.6-rh-ppc64-pie.patch
Patch3: binutils-2.17.50.0.6-rh-place-orphan.patch
Patch4: binutils-2.17.50.0.6-rh-ia64-lib64.patch
Patch5: binutils-2.17.50.0.6-rh-elfvsb-test.patch
Patch6: binutils-2.17.50.0.6-rh-standards.patch
Patch7: binutils-2.17.50.0.6-rh-build-fixes.patch
Patch8: binutils-2.17.50.0.6-rh-kept-section.patch
Patch9: binutils-2.17.50.0.6-rh-power6-insns.patch
Patch10: binutils-2.17.50.0.6-rh-fixsyms.patch
Patch11: binutils-2.17.50.0.6-rh-gas-debug-ranges-revert.patch
Patch12: binutils-2.17.50.0.6-rh-popcnt.patch
Patch13: binutils-2.17.50.0.6-rh-rh223181.patch
Patch14: binutils-2.17.50.0.6-rh-tekhex.patch
Patch15: binutils-2.17.50.0.6-rh-bz4267.patch
Patch16: binutils-2.17.50.0.6-rh-ppc-relbrlt-test.patch
Patch17: binutils-2.17.50.0.6-rh-rh235221.patch
Patch18: binutils-2.17.50.0.6-rh-sse4.patch
Patch19: binutils-2.17.50.0.6-rh-ppc64-version-script.patch
Patch20: binutils-2.17.50.0.6-rh-rh241252.patch

# ALT
Patch21: binutils-2.16.91.0.3-alt-texinfo.patch
Patch22: binutils-2.17.50.0.6-alt-bfd_elflink_relax_checking.patch
Patch23: binutils-2.17.50.0.3-alt-defaults.patch
Patch24: binutils-2.17.50.0.6-alt-opcodes-libiberty.patch
Patch25: binutils-2.17.50.0.6-alt-makeinfo.patch

Requires(post): %install_info, coreutils
Requires(preun): %uninstall_info, coreutils
Requires: libbfd = %serial:%version-%release
# due to c++filt
Conflicts: gcc-common < 0:1.2.1-alt4

BuildRequires: flex, glibc-devel-static
%{?!_without_check:%{?!_disable_check:BuildRequires: dejagnu, gcc-c++}}

%package -n libbfd
Summary: Binary File Descriptor library
Group: System/Libraries

%package -n libbfd-devel
Summary: Include files for development with BFD library
Group: Development/C
Requires(post): %install_info
Requires(preun): %uninstall_info
Requires: libbfd = %serial:%version-%release

%package -n libbfd-devel-static
Summary: Static libraries for development with BFD library
Group: Development/C
Requires: libbfd-devel = %serial:%version-%release

%package -n libiberty-devel
Summary: Development files for development with libiberty
Group: Development/C
Requires: libbfd-devel = %serial:%version-%release

%description
Binutils is a collection of binary utilities, including:
+ addr2line: converting addresses to file and line;
+ ar: creating modifying and extracting from archives;
+ nm: listing symbols from object files;
+ objcopy: copying and translating object files;
+ objdump: displaying information from object files;
+ ranlib: generating an index for the contents of an archive;
+ size: listing the section sizes of an object or archive file;
+ strings: listing printable strings from files;
+ strip: discarding symbols.

%description -n libbfd
This package contains shared libraries needed to run programs
dynamically linked with Binary File Descriptor library.

%description -n libbfd-devel
This package contains include files needed for development software
based on Binary File Descriptor library.

%description -n libbfd-devel-static
This package contains static libraries needed for development
statically linked software based on Binary File Descriptor library.

%description -n libiberty-devel
This package contains include files and static library
needed for development software using libiberty.

%prep
%setup -q

%patch1 -p0
%patch2 -p0
%patch3 -p0
%ifarch ia64
%if "%_lib" == "lib64"
%patch4 -p0
%endif
%endif
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0
%patch11 -p0 -R
%patch12 -p0
%patch13 -p0
%patch14 -p0
%patch15 -p0
%patch16 -p0
%patch17 -p0
%patch18 -p0
%patch19 -p0
%patch20 -p0

%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1

# Link libopcodes with libbfd.
sed -i '/^libopcodes_la_\(DEPENDENCIES\|LIBADD\)/s|$| ../bfd/libbfd.la|' opcodes/Makefile.*

find -type f -name \*.orig -delete -print

%build
%define _configure_target --host=%_target_platform --build=%_target_platform
ADDITIONAL_TARGETS=
%ifarch ia64 x86_64
ADDITIONAL_TARGETS="--enable-targets=i386-alt-linux"
%endif
%configure --enable-shared --disable-werror $ADDITIONAL_TARGETS

%make_build tooldir=%_prefix all
%make_build tooldir=%_prefix info

RUNTESTFLAGS=
%{?!__buildreqs:%{?!_without_check:%{?!_disable_check:if [ -w /dev/ptmx ]; then make -k check CC="%_sourcedir/gcc.sh" RUNTESTFLAGS="$RUNTESTFLAGS" ||:; fi}}}

%install
%makeinstall tooldir=%buildroot%_prefix install-info
# Install PIC version of the libiberty.a
install -pm644 libiberty/pic/libiberty.a %buildroot%_libdir/

# Remove unrelated manpages.
find %buildroot%_man1dir -type f |while read f; do
	n="${f##*/}"
	n="${n%%.1*}"
	[ -f "%buildroot%_bindir/$n" ] || rm -v "$f"
done

/bin/ls -1 %buildroot%_infodir/*.info |
	fgrep -v /bfd |
	sed "s|^%buildroot\(.*\)|\1*|g" >files.lst

mkdir %buildroot%_datadir/%name
/bin/ls -1 %buildroot%_infodir/*.info |
	fgrep -v /bfd |
	sed "s|^%buildroot%_infodir/||g" >%buildroot%_datadir/%name/info.files

# Relocate include files.
pushd %buildroot%_includedir
	mkdir bfd
	for f in *.h; do
		mv "$f" bfd/
		ln -s bfd/"$f" .
	done
popd

# Add more include files.
install -pm644 include/{demangle,libiberty}.h %buildroot%_includedir/
install -pm644 bfd/{elf-bfd,lib*}.h %buildroot%_includedir/bfd/
cp -a include/{coff,elf,nlm} %buildroot%_includedir/bfd/
rm -f %buildroot%_includedir/bfd/{*in.h,*/ChangeLog*}

# No ugly translations please.
#%%find_lang %name bfd gas gprof ld opcodes --append --output files.lst

%set_verify_elf_method strict

%post -n libbfd -p %post_ldconfig
%postun -n libbfd -p %postun_ldconfig

%post
%install_info `cat %_datadir/%name/info.files`

%preun
%uninstall_info `cat %_datadir/%name/info.files`

%post -n libbfd-devel
%install_info bfd.info

%preun -n libbfd-devel
%uninstall_info bfd.info

%files -n libbfd
%_libdir/*-*.so

%files -n libbfd-devel
%_libdir/libbfd.so
%_libdir/libopcodes.so
%_includedir/bfd
%_includedir/[a-ce-km-z]*.h
%_includedir/dis-asm.h
%_infodir/bfd.info*

%files -n libbfd-devel-static
%_libdir/libbfd.a
%_libdir/libopcodes.a

%files -n libiberty-devel
%_libdir/libiberty.*
%_includedir/libiberty.h
%_includedir/demangle.h

%files -f files.lst
%_bindir/*
%_prefix/lib/ldscripts
%_mandir/man?/*
%_datadir/%name

%changelog
* Mon Mar 03 2008 Dmitry V. Levin <ldv@altlinux.org> 1:2.17.50.0.6-alt4
- Fixed build with fresh makeinfo.

* Mon Jan 07 2008 Dmitry V. Levin <ldv@altlinux.org> 1:2.17.50.0.6-alt3
- Fixed libopcodes build to link with PIC libiberty.

* Sun Sep 23 2007 Dmitry V. Levin <ldv@altlinux.org> 1:2.17.50.0.6-alt2
- Synced with RH 2.17.50.0.6-5.

* Mon Jan 22 2007 Dmitry V. Levin <ldv@altlinux.org> 1:2.17.50.0.6-alt1
- Synced with RH 2.17.50.0.6-3.

* Fri Aug 18 2006 Dmitry V. Levin <ldv@altlinux.org> 1:2.17.50.0.3-alt1
- Synced with RH 2.17.50.0.3-2.
- Updated testsuite for defaults changed in 2.16.91.0.5-alt2.

* Thu Jun 29 2006 Dmitry V. Levin <ldv@altlinux.org> 1:2.17.50.0.2-alt4
- Synced with RH 2.17.50.0.2-4.

* Tue Jun 27 2006 Dmitry V. Levin <ldv@altlinux.org> 1:2.17.50.0.2-alt3
- Synced with RH 2.17.50.0.2-3.

* Sat Jun 03 2006 Dmitry V. Levin <ldv@altlinux.org> 1:2.17.50.0.2-alt2
- Updated from CVS to 20060601.
- Synced with RH 2.17.50.0.2-1.

* Mon May 29 2006 Dmitry V. Levin <ldv@altlinux.org> 1:2.17.50.0.2-alt1
- Updated to 2.17.50.0.2.

* Tue May 09 2006 Dmitry V. Levin <ldv@altlinux.org> 1:2.17.50.0.1-alt1
- Updated to 2.17.50.0.1, Synced with RH 2.17.50.0.1-1.

* Wed Mar 15 2006 Dmitry V. Levin <ldv@altlinux.org> 1:2.16.91.0.6-alt2
- Synced with RH 2.16.91.0.6-4.
- Applied upstream fix for ld --as-needed problem (#9247).

* Thu Feb 16 2006 Dmitry V. Levin <ldv@altlinux.org> 1:2.16.91.0.6-alt1
- Updated to 2.16.91.0.6, synced with RH 2.16.91.0.6-1.

* Thu Jan 12 2006 Dmitry V. Levin <ldv@altlinux.org> 1:2.16.91.0.5-alt3
- Link libopcodes with libbfd.
- Set %%_verify_elf_method to strict, better safe than sorry.

* Mon Jan 09 2006 Dmitry V. Levin <ldv@altlinux.org> 1:2.16.91.0.5-alt2
- ld: enabled -O1 by default,
  enabled --warn-shared-textrel by default,
  implemented --no-warn-shared-textrel option.

* Thu Jan 05 2006 Dmitry V. Levin <ldv@altlinux.org> 1:2.16.91.0.5-alt1
- Updated to 2.16.91.0.5, synced with RH 2.16.91.0.5-1.

* Sat Dec 17 2005 Dmitry V. Levin <ldv@altlinux.org> 1:2.16.91.0.3-alt2
- Synced with RH binutils-2.16.91.0.3-2.

* Sun Dec 04 2005 Dmitry V. Levin <ldv@altlinux.org> 1:2.16.91.0.3-alt1
- Updated to 2.16.91.0.3, synced with RH 2.16.91.0.3.
- Removed merged upstream alt-strings-mem patch.
- Reverted to upstream soname scheme.

* Sun May 29 2005 Dmitry V. Levin <ldv@altlinux.org> 1:2.15.94.0.2.2-alt3
- Removed obsolete bfd_elf_local_sym_name patch.
- Enhanced alt-strings-mem patch.

* Fri May 27 2005 Dmitry V. Levin <ldv@altlinux.org> 1:2.15.94.0.2.2-alt2
- Applied upstream fix for unsanitized input issues in the BFD library
  (CAN-2005-1704) and readlink utility.

* Wed Apr 06 2005 Dmitry V. Levin <ldv@altlinux.org> 1:2.15.94.0.2.2-alt1
- Updated to 2.15.94.0.2.2, synced with RH 2.15.94.0.2.2-1.

* Thu Mar 17 2005 Dmitry V. Levin <ldv@altlinux.org> 1:2.15.94.0.2-alt3
- strings: fixed OOM handling (closes #5871).

* Wed Mar 02 2005 Dmitry V. Levin <ldv@altlinux.org> 1:2.15.94.0.2-alt2
- readelf: fixed potential buffer overflows, patch from Jakub Jelinek.

* Sat Feb 12 2005 Dmitry V. Levin <ldv@altlinux.org> 1:2.15.94.0.2-alt1
- Updated to 2.15.94.0.2, synced with RH 2.15.94.0.2-1.

* Fri Dec 24 2004 Dmitry V. Levin <ldv@altlinux.org> 1:2.15.92.0.2-alt4
- Synced with RH binutils-2.15.92.0.2-11.

* Tue Nov 09 2004 Dmitry V. Levin <ldv@altlinux.org> 1:2.15.92.0.2-alt3
- Synced with RH binutils-2.15.92.0.2-6.

* Wed Nov 03 2004 Dmitry V. Levin <ldv@altlinux.org> 1:2.15.92.0.2-alt2
- Applied bfd_elf_local_sym_name patch from SuSE.

* Tue Nov 02 2004 Dmitry V. Levin <ldv@altlinux.org> 1:2.15.92.0.2-alt1
- Updated to 2.15.92.0.2, synced with RH binutils-2.15.92.0.2-5.

* Thu Jun 03 2004 Dmitry V. Levin <ldv@altlinux.org> 1:2.15.90.0.3-alt3
- Synced with RH 2.15.90.0.3-7.

* Sat May 15 2004 Dmitry V. Levin <ldv@altlinux.org> 1:2.15.90.0.3-alt2
- Synced with RH 2.15.90.0.3-5.

* Mon Apr 26 2004 Dmitry V. Levin <ldv@altlinux.org> 1:2.15.90.0.3-alt1
- Updated to 2.15.90.0.3, synced with RH 2.15.90.0.3-2.

* Mon Apr 05 2004 Dmitry V. Levin <ldv@altlinux.org> 1:2.15.90.0.1.1-alt1
- Updated to 2.15.90.0.1.1, synced with RH 2.15.90.0.1.1-2.

* Thu Jan 22 2004 Dmitry V. Levin <ldv@altlinux.org> 1:2.14.90.0.8-alt1
- Updated to 2.14.90.0.8.
- Synced with RH 2.14.90.0.8-3:
  * Fri Jan 16 2004 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.8-2
  - fix testcases on AMD64
  - fix .got's sh_entsize on IA32/AMD64
  - set COMMONPAGESIZE on s390/s390x
  - set COMMONPAGESIZE on ppc32 (Alan Modra)
  * Tue Jan 13 2004 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.7-4
  - fix -z relro on 64-bit arches
  * Mon Jan 12 2004 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.7-3
  - fix some bugs in -z relro support
  * Fri Jan  9 2004 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.7-2
  - -z relro support, reordering of RW sections
- Dropped ugly Russian translation introduced in bintutils snapshot 2004-01-02.

* Sun Jan 11 2004 Dmitry V. Levin <ldv@altlinux.org> 1:2.14.90.0.7-alt1
- Updated to 2.14.90.0.7.

* Sat Jan 03 2004 Dmitry V. Levin <ldv@altlinux.org> 1:2.14.90.0.6-alt3
- Synced with RH 2.14.90.0.6-4:
  * Mon Nov 24 2003 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.6-4
  - fix assembly parsing of foo=(.-bar)/4 (Alan Modra)
  - fix IA-64 assembly parsing of (p7) hint @pause
  * Tue Sep 30 2003 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.6-3
  - don't abort on some linker warnings/errors on IA-64

* Tue Dec 09 2003 Dmitry V. Levin <ldv@altlinux.org> 1:2.14.90.0.6-alt2
- Do not package .la files.

* Wed Sep 24 2003 Dmitry V. Levin <ldv@altlinux.org> 1:2.14.90.0.6-alt1
- Synced with RH 2.14.90.0.6-2:
  * Sat Sep 20 2003 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.6-2
  - fix up merge2.s to use .p2align instead of .align
  * Sat Sep 20 2003 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.6-1
  - update to 2.14.90.0.6
  - speed up string merging (Lars Knoll, Michael Matz, Alan Modra)
  - speed up IA-64 local symbol handling during linking
  * Fri Aug 29 2003 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.5-6
  - SPARC .cfi* support

* Tue Aug 12 2003 Dmitry V. Levin <ldv@altlinux.org> 1:2.14.90.0.5-alt2
- Fixed rh-place-orphan patch (added in previous release).

* Thu Aug 07 2003 Dmitry V. Levin <ldv@altlinux.org> 1:2.14.90.0.5-alt1
- Updated to 2.14.90.0.5.
- Synced with RH 2.14.90.0.5-5.

* Sun Jul 20 2003 Dmitry V. Levin <ldv@altlinux.org> 1:2.14.90.0.4-alt3
- Synced with RH 2.14.90.0.4-19:
  * Thu Jul  3 2003 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.4-17
  - require no undefined non-weak symbols in PIEs like required for
    normal binaries
  * Wed Jul  2 2003 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.4-16
  - build libiberty.a with -fPIC, so that it can be lined into shared
    libraries
  * Wed Jun 25 2003 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.4-14
  - added support for Intel Prescott instructions
  * Wed Jun 18 2003 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.4-13
  - update CFI stuff to 2003-06-18
  - make sure .eh_frame is aligned to 8 bytes on 64-bit arches,
    remove padding within one .eh_frame section
- bfd/elflink.h: relaxed symbols checking for a while,
  to fix ocaml-shared issue.

* Tue Jun 17 2003 Dmitry V. Levin <ldv@altlinux.org> 1:2.14.90.0.4-alt2
- Synced with RH 2.14.90.0.4-7:
  * Fri Jun  6 2003 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.4-7
  - some CFI updates/fixes
  - don't create dynamic relocations against symbols defined in PIE
    exported from its .dynsym
  * Wed Jun  4 2003 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.4-6
  - update gas to 20030604
  - PT_GNU_STACK support

* Mon Jun 02 2003 Dmitry V. Levin <ldv@altlinux.org> 1:2.14.90.0.4-alt1
- Updated to 2.14.90.0.4, updated patches.
- Added patches from RH 2.14.90.0.4-2:
  + eh-frame-ro;
  + cfi (gas CFI updates);
  + pie (dynamic executables support).
- Dropped obsolete patches:
  + rh-alt-glibc21
  + rh-oformat
- Ship with c++filt here.
- Disabled build of additional unneeded targets.
- Deal with info dir entries such that the menu looks pretty.

* Mon Oct 07 2002 Dmitry V. Levin <ldv@altlinux.org> 1:2.13.90.0.4-alt2
- Fixed build with new rpm-build.
- Rebuilt to fix config files in devel subpackages.

* Mon Aug 26 2002 Dmitry V. Levin <ldv@altlinux.org> 1:2.13.90.0.4-alt1
- 2.13.90.0.4 (fixes from rh binutils-2.13.90.0.2-2 merged upstream).

* Sat Jun 29 2002 Dmitry V. Levin <ldv@altlinux.org> 1:2.12.90.0.14-alt1
- 2.12.90.0.14

* Wed Jun 26 2002 Dmitry V. Levin <ldv@altlinux.org> 1:2.12.90.0.12-alt1
- 2.12.90.0.12

* Tue Jun 18 2002 Dmitry V. Levin <ldv@altlinux.org> 1:2.12.90.0.11-alt2
- Added more headers to libbfd-devel and libiberty-devel subpackages.

* Fri Jun 14 2002 Dmitry V. Levin <ldv@altlinux.org> 1:2.12.90.0.11-alt1
- 2.12.90.0.11

* Thu May 30 2002 Dmitry V. Levin <ldv@altlinux.org> 1:2.12.90.0.9-alt1
- Updated code to 2.12.90.0.9

* Wed Apr 24 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:2.12.90.0.7-alt1
- Updated code to 2.12.90.0.7

* Thu Apr 11 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:2.12.90.0.4-alt1
- Updated code to 2.12.90.0.4
- Megred upstream patch 22:
  + binutils-2.11.93.0.2-rh-dataseg-align3.patch

* Wed Apr 03 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:2.12.90.0.3-alt1
- Updated code to 2.12.90.0.3
- Added translations.
- Regenerated patches (aen):
  + binutils-2.12.90.0.3-alt-texinfo.patch
  + binutils-2.12.90.0.3-rh-alt-glibc21.patch
- Megred upstream patches (12..21):
  + binutils-2.11.93.0.2-rh-combreloc-default.patch
  + binutils-2.11.93.0.2-rh-dataseg-align.patch
  + binutils-2.11.93.0.2-rh-dataseg-align2.patch
  + binutils-2.11.93.0.2-eh_frame.patch
  + binutils-2.11.93.0.2-c++-symver.patch
  + binutils-2.11.93.0.2-merge-gc.patch
  + binutils-2.11.93.0.2-alpha-.text.patch
  + binutils-2.11.93.0.2-alias-visibility.patch
  + binutils-2.11.93.0.2-sparc.patch
  + binutils-2.11.93.0.2-SHN_UNDEF.patch

* Fri Mar 15 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:2.11.93.0.2-alt3
- Merged with rh-2.11.93.0.2-9:
  * Mon Mar 11 2002 Jakub Jelinek <jakub@redhat.com> 2.11.93.0.2-9
  - fix DATA_SEGMENT_ALIGN on ia64/alpha/sparc/sparc64
  * Fri Mar  8 2002 Jakub Jelinek <jakub@redhat.com> 2.11.93.0.2-8
  - don't crash on SHN_UNDEF local dynsyms (Andrew MacLeod)
  * Thu Mar  7 2002 Jakub Jelinek <jakub@redhat.com> 2.11.93.0.2-7
  - fix bfd configury bug (Alan Modra)
  * Tue Mar  5 2002 Jakub Jelinek <jakub@redhat.com> 2.11.93.0.2-6
  - don't copy visibility when equating symbols
  - fix alpha .text/.data with .previous directive bug
  * Tue Mar  5 2002 Jakub Jelinek <jakub@redhat.com> 2.11.93.0.2-5
  - fix SHF_MERGE crash with --gc-sections (#60369)
  - C++ symbol versioning patch
  * Fri Feb 22 2002 Jakub Jelinek <jakub@redhat.com> 2.11.93.0.2-4
  - add DW_EH_PE_absptr -> DW_EH_PE_pcrel optimization for shared libs,
    if DW_EH_PE_absptr cannot be converted that way, don't build the
    .eh_frame_hdr search table

* Thu Feb 21 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:2.11.93.0.2-alt2
- Fixed ld -N broken by last rh patch (jj).

* Mon Feb 18 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:2.11.93.0.2-alt1
- 2.11.93.0.2
- Merged with rh-2.11.93.0.2-2:
  * Tue Feb 12 2002 Jakub Jelinek <jakub@redhat.com> 2.11.93.0.2-2
  - trade one saved runtime page for data segment (=almost always not shared)
    for up to one page of disk space where possible

* Mon Feb 11 2002 Dmitry V. Levin <ldv@alt-linux.org> 1:2.11.92.0.12.3-alt3
- Try 2.11.92.0.12.3 again.
- Merged with rh-2.11.92.0.12-10:
  * Thu Jan 31 2002 Jakub Jelinek <jakub@redhat.com> 2.11.92.0.12-10
  - don't create SHN_UNDEF STB_WEAK symbols unless there are any relocations
    against them
  * Fri Dec 28 2001 Jakub Jelinek <jakub@redhat.com> 2.11.92.0.12-8
  - two further .eh_frame patch fixes
  * Wed Dec 19 2001 Jakub Jelinek <jakub@redhat.com> 2.11.92.0.12-7
  - as ld is currently not able to shrink input sections to zero size
    during discard_info, build a fake minimal CIE in that case
  - update elf-strtab patch to what was commited
  * Mon Dec 17 2001 Jakub Jelinek <jakub@redhat.com> 2.11.92.0.12-6
  - one more .eh_frame patch fix
  - fix alpha .eh_frame handling
  - optimize elf-strtab finalize
  * Sat Dec 15 2001 Jakub Jelinek <jakub@redhat.com> 2.11.92.0.12-5
  - yet another fix for the .eh_frame patch

* Wed Dec 19 2001 Dmitry V. Levin <ldv@alt-linux.org> 1:2.11.90.0.31-alt2
- Back to stable version: 2.11.90.0.31.

* Wed Dec 19 2001 Dmitry V. Levin <ldv@alt-linux.org> 2.11.92.0.12.3-alt2
- Merged with rh-2.11.92.0.12-4.

* Thu Nov 29 2001 Dmitry V. Levin <ldv@alt-linux.org> 2.11.92.0.12.3-alt1
- 2.11.92.0.12.3
- Merged with rh-2.11.92.0.12-2.

* Wed Nov 21 2001 Dmitry V. Levin <ldv@alt-linux.org> 2.11.92.0.10-alt1
- 2.11.92.0.10
- Merged with rh-2.11.92.0.7-2.

* Mon Sep 03 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.11.90.0.31-alt1
- 2.11.90.0.31

* Fri Aug 31 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.11.90.0.29-alt1
- 2.11.90.0.29
- Moved libiberty development stuff to separate subpackage.
- Moved bfd info pages to libbfd-devel subpackage.

* Tue Jul 31 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.11.90.0.25-alt1
- 2.11.90.0.25

* Tue Jul 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.11.90.0.24-alt1
- 2.11.90.0.24

* Wed Jul 11 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.11.90.0.23-alt1
- 2.11.90.0.23
- Added SHF_MERGE support (jj).

* Fri Jun 22 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.11.90.0.19-alt1
- 2.11.90.0.19

* Thu Jun 14 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.11.90.0.15-alt2
- Merged in RH paches (jj):
  - hack - add elf_i386_glibc21 emulation;
  - back out the -oformat, -omagic and -output change for now.

* Wed Jun 13 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.11.90.0.15-alt1
- 2.11.90.0.15

* Mon May 14 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.11.90.0.8-alt1
- 2.11.90.0.8

* Sun May 06 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.11.90.0.7-alt2
- Updated vendor information.

* Thu May 03 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.11.90.0.7-alt1
- 2.11.90.0.7

* Fri Apr 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.11.90.0.6-alt1
- 2.11.90.0.6

* Mon Apr 16 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.11.90.0.5-alt1
- 2.11.90.0.5

* Tue Apr 03 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.11.90.0.4-alt1
- 2.11.90.0.4
- Moved static libraries to devel-static subpackage.

* Tue Mar 13 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.11.90.0.1-ipl1mdk
- 2.11.90.0.1

* Wed Feb 28 2001 Dmitry V. Levin <ldv@fandra.org> 2.10.91.0.4-ipl1mdk
- 2.10.91.0.4

* Sat Feb 17 2001 Dmitry V. Levin <ldv@fandra.org> 2.10.91.0.2-ipl1mdk
- 2.10.91.0.2

* Thu Feb 08 2001 Dmitry V. Levin <ldv@fandra.org> 2.10.1.0.7-ipl1mdk
- 2.10.1.0.7
- Libification.

* Sat Dec 30 2000 Dmitry V. Levin <ldv@fandra.org> 2.10.1.0.4-ipl1mdk
- 2.10.1.0.4

* Tue Nov 21 2000 Dmitry V. Levin <ldv@fandra.org> 2.10.1.0.2-ipl1mdk
- 2.10.1.0.2
- Fixed texinfo documentation.

* Wed Nov 08 2000 Dmitry V. Levin <ldv@fandra.org> 2.10.1-ipl1mdk
- 2.10.1

* Sun Oct 22 2000 Dmitry V. Levin <ldv@fandra.org> 2.10.0.33-ipl1mdk
- 2.10.0.33

* Thu Oct 12 2000 Dmitry V. Levin <ldv@fandra.org> 2.10.0.31-ipl1mdk
- 2.10.0.31

* Wed Oct 11 2000 Dmitry V. Levin <ldv@fandra.org> 2.10.0.29-ipl1mdk
- 2.10.0.29

* Sun Oct 01 2000 Dmitry V. Levin <ldv@fandra.org> 2.10.0.24-ipl2mdk
- Removed c++filt since it's provided by new gcc-c++ package.
- Automatically added BuildRequires.

* Tue Aug 29 2000 Dmitry V. Levin <ldv@fandra.org> 2.10.0.24-ipl1mdk
- 2.10.0.24

* Wed Jul 26 2000 Dmitry V. Levin <ldv@fandra.org> 2.10.0.18-ipl1mdk
- 2.10.0.18

* Wed Jul 12 2000 Dmitry V. Levin <ldv@fandra.org> 2.10.0.12-ipl1mdk
- 2.10.0.12

* Tue Jun 27 2000 Dmitry V. Levin <ldv@fandra.org> 2.10.0.9-ipl1mdk
- 2.10.0.9
- Use FHS-compatible macros.

* Wed Jun 21 2000 Dmitry V. Levin <ldv@fandra.org>
- 2.10

* Sat Jun 10 2000 Dmitry V. Levin <ldv@fandra.org>
- 2.9.5.0.46

* Sat Apr 22 2000 Dmitry V. Levin <ldv@fandra.org>
- 2.9.5.0.37

* Sat Apr 15 2000 Dmitry V. Levin <ldv@fandra.org>
- 2.9.5.0.35

* Tue Apr 11 2000 Dmitry V. Levin <ldv@fandra.org>
- 2.9.5.0.31

* Fri Mar 10 2000 Dmitry V. Levin <ldv@fandra.org>
- Fandra adaptions

* Wed Mar  8 2000 Pixel <pixel@mandrakesoft.com> 2.9.5.0.22-2mdk
- add prereq /sbin/install-info

* Wed Jan 12 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.9.5.0.22-1mdk
- 2.9.5.0.22
- applied debian patch.

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build Release.

* Wed Oct 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.9.5.0.16

* Sun Sep 19 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 2.9.5.0.12

* Wed Aug 25 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 2.9.5.0.8

* Wed Aug 11 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 2.9.5.0.6
- handle RPM_OPT_FLAGS

* Mon Jul 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.9.5.0.3.

* Fri Jul 16 1999 <bero@mandrakesoft.de>
- 2.9.4.0.8

* Mon Jun 28 1999 <bero@mandrakesoft.de>
- Mandrake adaptions

* Sat Jun 26 1999 <hjl@gnu.org>
- updated to 2.9.4.0.7.

* Sun Jun 20 1999 <hjl@gnu.org>
- updated to 2.9.4.0.6.

* Sat Jun 12 1999 <hjl@gnu.org>
- updated to 2.9.4.0.5.

* Fri Jun 11 1999 <hjl@gnu.org>
- updated to 2.9.4.0.4.

* Mon Jun  7 1999 <hjl@gnu.org>
- updated to 2.9.4.0.3.

* Sun Jun  6 1999 <hjl@gnu.org>
- updated to 2.9.4.0.2.

* Sat Jun  5 1999 <hjl@gnu.org>
- updated to 2.9.4.0.1.

* Sat May 22 1999 <hjl@gnu.org>
- updated to 2.9.1.0.25.

* Wed Apr 21 1999 <hjl@gnu.org>
- updated to 2.9.1.0.24.

* Wed Mar 31 1999 hjl <hjl@gnu.org>
- updated to 2.9.1.0.23.

* Wed Feb 26 1999 hjl <hjl@gnu.org>
- updated to 2.9.1.0.22b.
